Index: src/UIElements/Qt4/Pipe/BoxQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/BoxQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/BoxQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,49 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * BoxQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+#include <Qt/qtablewidget.h>
+
+#include "LinearAlgebra/Matrix.hpp"
+#include "Box.hpp"
+
+BoxQtQueryPipe::BoxQtQueryPipe(Box &_content, QtDialog *_dialog, QTableWidget *_inputTable) :
+  content(_content),
+  dialog(_dialog),
+  inputTable(_inputTable)
+{
+  tmpM = new Matrix();
+  tmpM->zero();
+}
+
+BoxQtQueryPipe::~BoxQtQueryPipe()
+{
+  delete tmpM;
+}
+
+void BoxQtQueryPipe::update(int row, int column)
+{
+  tmpM->at(row, column) = inputTable->item(row, column)->text().toDouble();
+  content.setM(*tmpM);
+  dialog->update();
+}
+
+
Index: src/UIElements/Qt4/Pipe/DoubleQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/DoubleQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/DoubleQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,37 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * DoubleQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+
+
+DoubleQtQueryPipe::DoubleQtQueryPipe(double *_content, QtDialog *_dialog) :
+  content(_content),
+  dialog(_dialog)
+{}
+
+DoubleQtQueryPipe::~DoubleQtQueryPipe()
+{}
+
+void DoubleQtQueryPipe::update(double newDbl) {
+  (*content) = newDbl;
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/ElementQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,44 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * ElementQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+
+#include "element.hpp"
+#include "periodentafel.hpp"
+#include "World.hpp"
+
+
+ElementQtQueryPipe::ElementQtQueryPipe(const element **_content, QtDialog *_dialog, QComboBox *_theBox) :
+  content(_content),
+  dialog(_dialog),
+  theBox(_theBox)
+{}
+
+ElementQtQueryPipe::~ElementQtQueryPipe()
+{}
+
+void ElementQtQueryPipe::update(int newIndex) {
+  QVariant data = theBox->itemData(newIndex);
+  int idx = data.toInt();
+  *content = World::getInstance().getPeriode()->FindElement(idx);
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/ElementsQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,48 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * ElementsQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <vector>
+
+#include <Qt/qcombobox.h>
+
+#include "element.hpp"
+#include "periodentafel.hpp"
+#include "World.hpp"
+
+
+ElementsQtQueryPipe::ElementsQtQueryPipe(std::vector<const element *>*_content, QtDialog *_dialog, QComboBox *_theBox) :
+  content(_content),
+  dialog(_dialog),
+  theBox(_theBox)
+{}
+
+ElementsQtQueryPipe::~ElementsQtQueryPipe()
+{}
+
+void ElementsQtQueryPipe::update(int newIndex) {
+  QVariant data = theBox->itemData(newIndex);
+  int idx = data.toInt();
+  const element *elemental = World::getInstance().getPeriode()->FindElement(idx);
+  if(elemental)
+    (*content).push_back(elemental);
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/EmptyQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/EmptyQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/EmptyQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,36 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * EmptyQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+
+
+EmptyQtQueryPipe::EmptyQtQueryPipe(QtDialog *_dialog, QLabel *_textLabel) :
+  dialog(_dialog),
+  textLabel(_textLabel)
+{}
+
+EmptyQtQueryPipe::~EmptyQtQueryPipe()
+{}
+
+void EmptyQtQueryPipe::update() {
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/FileQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/FileQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/FileQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,67 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * FileQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <iostream>
+#include <boost/filesystem.hpp>
+
+#include <Qt/qcombobox.h>
+#include <Qt/qlineedit.h>
+#include <Qt/qpushbutton.h>
+
+
+FileQtQueryPipe::FileQtQueryPipe(boost::filesystem::path *_content, QtDialog *_dialog, QLineEdit *_filenameLineEdit, QPushButton *_filedialogButton) :
+  content(_content),
+  dialog(_dialog),
+  filenameLineEdit(_filenameLineEdit),
+  filedialogButton(_filedialogButton)
+{
+  theFileDialog = NULL;
+}
+
+FileQtQueryPipe::~FileQtQueryPipe()
+{
+  if (theFileDialog != NULL)
+    delete theFileDialog;
+}
+
+void FileQtQueryPipe::update() {
+  QStringList ListOfFilenames = theFileDialog->selectedFiles();
+  std::cout << "Selected File is " << ListOfFilenames.at(0).toStdString() << std::endl;
+  (*content) = ListOfFilenames.at(0).toStdString();
+  filenameLineEdit->setText(QString::fromStdString((*content).string()));
+  dialog->update();
+}
+
+void FileQtQueryPipe::showFileDialog() {
+  filedialogButton->setFlat(true);
+  if (theFileDialog == NULL) {
+    theFileDialog = new QFileDialog(NULL, tr("Open input file"), QString(), tr("ParallelCarParrinello (*.conf);;MassivelyParallelQuantumChemistry (*.mpqc);;ParticleDataBase (*.pdb);;XYZ (*.xyz)"));
+    theFileDialog->setAcceptMode(QFileDialog::AcceptOpen);
+    theFileDialog->setFileMode(QFileDialog::ExistingFile);
+    theFileDialog->setViewMode(QFileDialog::List);
+  }
+  theFileDialog->exec();
+
+  update();
+  filedialogButton->setFlat(false);
+}
+
+
Index: src/UIElements/Qt4/Pipe/IntQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/IntQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/IntQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,37 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * IntQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+
+
+IntQtQueryPipe::IntQtQueryPipe(int *_content, QtDialog *_dialog) :
+  content(_content),
+  dialog(_dialog)
+{}
+
+IntQtQueryPipe::~IntQtQueryPipe()
+{}
+
+void IntQtQueryPipe::update(int newInt) {
+  (*content) = newInt;
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/MoleculeQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,44 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * MoleculeQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+
+#include "Descriptors/MoleculeIdDescriptor.hpp"
+#include "World.hpp"
+
+
+MoleculeQtQueryPipe::MoleculeQtQueryPipe(molecule **_content, QtDialog *_dialog, QComboBox *_theBox) :
+  content(_content),
+  dialog(_dialog),
+  theBox(_theBox)
+{}
+
+MoleculeQtQueryPipe::~MoleculeQtQueryPipe()
+{}
+
+void MoleculeQtQueryPipe::update(int newIndex) {
+  QVariant data = theBox->itemData(newIndex);
+  int idx = data.toInt();
+  (*content) = World::getInstance().getMolecule(MoleculeById(idx));
+  dialog->update();
+}
+
+
Index: src/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/MoleculesQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,47 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * MoleculesQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <vector>
+
+#include <Qt/qcombobox.h>
+
+#include "Descriptors/MoleculeIdDescriptor.hpp"
+#include "World.hpp"
+
+
+MoleculesQtQueryPipe::MoleculesQtQueryPipe(std::vector<molecule *>*_content, QtDialog *_dialog, QComboBox *_theBox) :
+  content(_content),
+  dialog(_dialog),
+  theBox(_theBox)
+{}
+
+MoleculesQtQueryPipe::~MoleculesQtQueryPipe()
+{}
+
+void MoleculesQtQueryPipe::update(int newIndex) {
+  QVariant data = theBox->itemData(newIndex);
+  int idx = data.toInt();
+  molecule *mol = World::getInstance().getMolecule(MoleculeById(idx));
+  if (mol)
+    (*content).push_back(mol);
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/QtQueryListPipe.hpp
===================================================================
--- src/UIElements/Qt4/Pipe/QtQueryListPipe.hpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/QtQueryListPipe.hpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,78 @@
+/*
+ * QtQueryListPipe.hpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+#ifndef QTQUERYLISTPIPE_HPP_
+#define QTQUERYLISTPIPE_HPP_
+
+template<typename T> QtQueryListPipe<T>::QtQueryListPipe(std::vector<T> *_content, QtDialog *_dialog, QLineEdit *_inputBox, QListWidget *_inputList, QPushButton *_AddButton, QPushButton *_RemoveButton) :
+  content(_content),
+  dialog(_dialog),
+  inputBox(_inputBox),
+  inputList(_inputList),
+  AddButton(_AddButton),
+  RemoveButton(_RemoveButton)
+{}
+
+template<typename T> QtQueryListPipe<T>::~QtQueryListPipe()
+{}
+
+template<typename T> void QtQueryListPipe<T>::IntegerEntered(const QString&)
+{
+  AddButton->setEnabled(true);
+}
+
+template<typename T> void QtQueryListPipe<T>::IntegerSelected()
+{
+  if (inputList->selectedItems().empty())
+    RemoveButton->setEnabled(false);
+  else
+    RemoveButton->setEnabled(true);
+}
+
+template<typename T> void QtQueryListPipe<T>::AddInteger() {
+  // type-check
+  std::string text = inputBox->text().toStdString();
+  int number = 0;
+  try {
+    number = boost::lexical_cast<int>(text);
+  } catch (boost::bad_lexical_cast&) {
+    return;
+  };
+  // add item to both
+  inputList->addItem(QString(number));
+  AddValue(number);
+}
+
+template<typename T> void QtQueryListPipe<T>::AddValue(T item) {
+  content->push_back(item);
+
+  dialog->update();
+}
+
+template<typename T> void QtQueryListPipe<T>::RemoveInteger() {
+  QList<QListWidgetItem *> items = inputList->selectedItems();
+  for (QList<QListWidgetItem *>::iterator iter = items.begin(); !items.empty(); iter = items.begin()) {
+    // obtain which position item has (by making it current item)
+    inputList->setCurrentItem(*iter);
+    // remove
+    QtQueryListPipe<T>::RemoteRow(inputList->currentRow()); // template parameters needs to be known, such that compiler knows which to call
+    inputList->removeItemWidget(*iter);
+  }
+}
+
+template<typename T> void QtQueryListPipe<T>::RemoveRow(int row) {
+  int counter = 0;
+  typename std::vector<T>::iterator iter = content->begin();
+  for (; iter != content->end(); ++iter)
+    if (counter++ == row)
+      break;
+  if (iter != content->end())
+      content->erase(iter);
+}
+
+
+#endif /*  QTQUERYLISTPIPE_HPP_  */
Index: src/UIElements/Qt4/Pipe/StringQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/StringQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/StringQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,39 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * StringQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <string>
+
+#include <Qt/qcombobox.h>
+
+
+StringQtQueryPipe::StringQtQueryPipe(string *_content, QtDialog *_dialog) :
+  content(_content),
+  dialog(_dialog)
+{}
+
+StringQtQueryPipe::~StringQtQueryPipe()
+{}
+
+void StringQtQueryPipe::update(const QString& newText) {
+  content->assign(newText.toStdString());
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/VectorQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,37 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * VectorQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <Qt/qcombobox.h>
+
+
+VectorQtQueryPipe::VectorQtQueryPipe(Vector *_content, QtDialog *_dialog, QComboBox *_theBox) :
+  content(_content),
+  dialog(_dialog),
+  theBox(_theBox)
+{}
+
+VectorQtQueryPipe::~VectorQtQueryPipe()
+{}
+
+void VectorQtQueryPipe::update() {
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp
===================================================================
--- src/UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
+++ src/UIElements/Qt4/Pipe/VectorsQtQueryPipe.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -0,0 +1,39 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * VectorsQtQueryPipe.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "UIElements/Qt4/QtDialog.hpp"
+
+#include <vector>
+
+#include <Qt/qcombobox.h>
+
+
+VectorsQtQueryPipe::VectorsQtQueryPipe(std::vector<Vector> *_content, QtDialog *_dialog, QComboBox *_theBox) :
+  content(_content),
+  dialog(_dialog),
+  theBox(_theBox)
+{}
+
+VectorsQtQueryPipe::~VectorsQtQueryPipe()
+{}
+
+void VectorsQtQueryPipe::update() {
+  dialog->update();
+}
+
Index: src/UIElements/Qt4/QtDialog.cpp
===================================================================
--- src/UIElements/Qt4/QtDialog.cpp	(revision 57a6ea1a91e89f394ecb0bdcf58b45e3ca1587e9)
+++ src/UIElements/Qt4/QtDialog.cpp	(revision 8df74dbef13fb1628a8f98eeaac6b7c477e95818)
@@ -20,34 +20,9 @@
 #include "UIElements/Qt4/QtDialog.hpp"
 
-#include <boost/lexical_cast.hpp>
-
-#include <string>
-#include <sstream>
-#include <limits>
-
-#include <QtGui/QDoubleSpinBox>
+#include <QtGui/QDialogButtonBox>
+#include <Qt/qpushbutton.h>
 #include <Qt/qboxlayout.h>
-#include <Qt/qcombobox.h>
-#include <Qt/qdialogbuttonbox.h>
-#include <Qt/qlabel.h>
-#include <Qt/qlineedit.h>
-#include <Qt/qlistwidget.h>
-#include <Qt/qpushbutton.h>
-#include <Qt/qspinbox.h>
-#include <Qt/qtablewidget.h>
-
-#include <boost/lexical_cast.hpp>
 
 #include "Helpers/MemDebug.hpp"
-
-#include "World.hpp"
-#include "periodentafel.hpp"
-#include "atom.hpp"
-#include "element.hpp"
-#include "molecule.hpp"
-#include "Descriptors/AtomIdDescriptor.hpp"
-#include "Descriptors/MoleculeIdDescriptor.hpp"
-#include "LinearAlgebra/Matrix.hpp"
-#include "Box.hpp"
 
 
